それマグで!

知識はカップより、マグでゆっくり頂きます。 takuya_1stのブログ

習慣に早くから配慮した者は、 おそらく人生の実りも大きい。

rubyのバージョンを取得する

ruby 1.9を使ってるけど、ところどころ好きになれない時もあるし。
ruby 1.8で書いたコードを移植するのが面倒なので、バージョン判定をしたい時もある。

Rubyのバージョン取得

puts RUBY_VERSION

たとえば

$KCODE=‘u’ if RUBY_VERSION.to_f <= 1.8


でバージョン判定を入れれば、余計なWarningsを見ずに済むのではないでしょうか。

広告を非表示にする